Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Class DefaultComboBoxModel

    java.lang.Object
      |
      +--javax.swing.AbstractListModel
            |
            +--javax.swing.DefaultComboBoxModel

public class DefaultComboBoxModel
extends AbstractListModel
implements MutableComboBoxModel, java.io.Serializable

The default model for combo boxes.

See Also:
  Serialized Form

Fields inherited from class javax.swing.AbstractListModel
`listenerList`

Constructor Summary
`DefaultComboBoxModel()` Constructs an empty DefaultComboBoxModel object.
`DefaultComboBoxModel(java.lang.Object[] items)` Constructs a DefaultComboBoxModel object initialized with an array of objects.
`DefaultComboBoxModel(java.util.Vector v)` Constructs a DefaultComboBoxModel object initialized with a vector.

Method Summary
`void` | `addElement(java.lang.Object anObject)`
`java.lang.Object` | `getElementAt(int index)`
`int` | `getIndexOf(java.lang.Object anObject)` Returns the index-position of the specified object in the list.
`java.lang.Object` | `getSelectedItem()`
`int` | `getSize()`
`void` | `insertElementAt(java.lang.Object anObject, int index)`
`void` | `removeAllElements()` Empties the list.
`void` | `removeElement(java.lang.Object anObject)`
`void` | `removeElementAt(int index)`
`void` | `setSelectedItem(java.lang.Object anObject)`

Methods inherited from class javax.swing.AbstractListModel
`addListDataListener, fireContentsChanged, fireIntervalAdded, fireIntervalRemoved, removeListDataListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultComboBoxModel

    public DefaultComboBoxModel()

  Constructs an empty DefaultComboBoxModel object.

### DefaultComboBoxModel

    public DefaultComboBoxModel(java.lang.Object[] items)

  Constructs a DefaultComboBoxModel object initialized with an array of objects.
  Parameters:
    `items` - an array of Object objects

### DefaultComboBoxModel

    public DefaultComboBoxModel(java.util.Vector v)

  Constructs a DefaultComboBoxModel object initialized with a vector.
  Parameters:
    `v` - a Vector object ...

Method Detail

### setSelectedItem

    public void setSelectedItem(java.lang.Object anObject)

### getSelectedItem

    public java.lang.Object getSelectedItem()

### getSize

    public int getSize()

### getElementAt

    public java.lang.Object getElementAt(int index)

### getIndexOf

    public int getIndexOf(java.lang.Object anObject)

  Returns the index-position of the specified object in the list.
  Parameters:
    `anObject` -
  Returns:
    an int representing the index position, where 0 is the first position

### addElement

    public void addElement(java.lang.Object anObject)

  Specified by:
    addElement in interface MutableComboBoxModel

### insertElementAt

    public void insertElementAt(java.lang.Object anObject,
                                int index)

  Specified by:
    insertElementAt in interface MutableComboBoxModel

### removeElementAt

    public void removeElementAt(int index)

  Specified by:
    removeElementAt in interface MutableComboBoxModel

### removeElement

    public void removeElement(java.lang.Object anObject)

  Specified by:
    removeElement in interface MutableComboBoxModel

### removeAllElements

    public void removeAllElements()

  Empties the list.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.